Opened 4 years ago

Closed 4 years ago

#19144 closed defect (fixed)

brial should depend on pkgconf

Reported by: fbissey Owned by:
Priority: blocker Milestone: sage-6.9
Component: PLEASE CHANGE Keywords:
Cc: cremona Merged in:
Authors: François Bissey Reviewers: Volker Braun
Report Upstream: N/A Work issues:
Branch: fbce1be (Commits) Commit: fbce1be1cfb1a6ad9d1d339a1fef2bf998c773b3
Dependencies: Stopgaps:

Description

Reported by John Cremona on sage-devel. Brial fails to build because no pkg-config command can be found.

checking pkg-config is at least version 0.9.0... /home/jec/sage/local/bin/pkg-config: line 16: /usr/bin/pkg-conf
ig: No such file or directory
no
checking for M4RI... no
configure: error: in `/home/jec/sage/local/var/tmp/sage/build/brial-0.8.4.3/src':
configure: error: The pkg-config script could not be found or is too old.  Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.

Change History (3)

comment:1 Changed 4 years ago by fbissey

  • Authors set to François Bissey
  • Branch set to u/fbissey/brial_pc
  • Commit set to fbce1be1cfb1a6ad9d1d339a1fef2bf998c773b3
  • Status changed from new to needs_review

Ready for review.


New commits:

fbce1bedd pkgconf to brial dependencies

comment:2 Changed 4 years ago by vbraun

  • Reviewers set to Volker Braun
  • Status changed from needs_review to positive_review

comment:3 Changed 4 years ago by vbraun

  • Branch changed from u/fbissey/brial_pc to fbce1be1cfb1a6ad9d1d339a1fef2bf998c773b3
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.